
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';

class MenuItem extends StatelessWidget {

  String icon;
  String label;
  String link;

  MenuItem({Key? key, required this.icon, required this.label, required this.link  }) : super(key: key);

  @override
  Widget build(BuildContext context) {

    return GestureDetector(
      onTap: () {
        Get.toNamed(link);
      },
      child: Container(
        height: 45.w,
        width: 310.w,
        margin: EdgeInsets.fromLTRB(0, 10.w, 0, 0),
        decoration: const BoxDecoration(
            border: Border(
                bottom: BorderSide(
                    width: 0.5, color: Color(0x20000000)
                  // 0x17000000
                ))),
        child: ListTile(
          contentPadding: const EdgeInsets.symmetric(horizontal: 0.0),
          // 这边使用了contentPadding
          leading: Image(
            image: AssetImage(icon),
            width: 18.w,
            height: 21.w,
          ),
          title: Transform(
            transform: Matrix4.translationValues(-20, 0.0, 0.0),
            child: Text(label,
                style: TextStyle(
                    fontSize: 17.sp, color: const Color(0xff333333))),
          ),
          trailing: Image(
            image: const AssetImage('images/userRight.png'),
            width: 10.w,
            height: 18.w,
          ),
        ),
      ),
    );
  }

}