import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';
import './MenuItem.dart';

class OtherColumn extends StatelessWidget {
  const OtherColumn({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
        alignment: Alignment.center,
        width: 345.w,
        margin: EdgeInsets.fromLTRB(0, 15.w, 0, 15.w),
        padding: EdgeInsets.only(bottom: 24.w),
        decoration: BoxDecoration(
          borderRadius: BorderRadius.circular(30),
          color: Colors.white,
          boxShadow: [
            BoxShadow(
              blurRadius: 10, //阴影范围
              spreadRadius: 0.1, //阴影浓度
              color: Colors.grey.withOpacity(0.2), //阴影颜色
            ),
          ],
        ),
        child: Column(
          children: [
            Container(
                margin: EdgeInsets.fromLTRB(0, 30.w, 0, 15.w),
                alignment: Alignment.topLeft,
                decoration: const BoxDecoration(
                    border: Border(
                        left: BorderSide(width: 5, color: Color(0xff000000)
                            // 0x17000000
                            ))),
                child: Padding(
                  padding: EdgeInsets.fromLTRB(12.w, 0, 0, 0),
                  child: Text(
                    '设置',
                    style: TextStyle(
                      color: Color(0xff333333),
                      fontWeight: FontWeight.bold,
                      fontSize: 17.sp,
                    ),
                  ),
                )),
            Container(
              child: Column(
                children: [
                  MenuItem(
                    icon: 'images/aboutUs.png',
                    label: '关于我们',
                    link: '/aboutUs',
                  ),
                  MenuItem(
                    icon: 'images/versionUpdate.png',
                    label: '用户协议及隐私政策',
                    link: '/agreement',
                  ),
                  MenuItem(
                    icon: 'images/feedbacks.png',
                    label: '意见反馈',
                    link: '/feedback',
                  ),
                  MenuItem(
                    icon: 'images/helpCenter.png',
                    label: '帮助中心',
                    link: '/helpCenter',
                  ),
                  MenuItem(
                    icon: 'images/icons_update.png',
                    label: '版本更新',
                    link: '/upgrade',
                  ),
                ],
              ),
            )
          ],
        ));
  }
}
